import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;


/**
 * GetGlitschi
 * by D. Reichert
 * Version 1.0 on 27/02/2010
 * 
 * All graphics by D. Reichert
 */

public class Lives  extends Textfelder
{
    public static final Color LIVESCOLOR = new Color(0, 63, 103);    
    public static final int FONTSIZE = 18;   
    private static final int TEXTFELDBREITE = (FONTSIZE + 15);
    private static final int TEXTFELDHOEHE = (FONTSIZE + 5);   
    
    private static int count;
    private static String text = "L: ";
   
    // Bestimmter Konstruktor fuer die Lebensanzeige. Anzahl der Leben in Level definiert.
    public Lives(int wert) {      
        count = wert;
        
        GreenfootImage lives = new GreenfootImage(TEXTFELDBREITE, TEXTFELDHOEHE);
        
        // lives.fill(); Hilsmethode um Groesse und Position anzupassen
        lives.setColor(LIVESCOLOR);
        Font font = new Font("Arial", Font.BOLD, FONTSIZE);
        lives.setFont(font);
        lives.drawString(text + count, 1, 20);
        setImage(lives);
    }
    
    // Act-Methode um die Leben konstant abzufragen.
    public void act() {
        getGlitschiLives();
    }
    
    // Wert des Counters veraendern
    public void changeLive(int count) {
        GreenfootImage lives = getImage();
        
        lives.clear();
        lives.drawString(text + count, 1, 20);
        setImage(lives);
    }
    
    // Fragt Glitschi nach dessen Leben.
    public void getGlitschiLives() {
        this.count = Glitschi.getLives();
        
        if (count == 2 || count == 1) {
            changeLive(count);
        }
        if (count == 0) {
            changeLive(count);
        }
    }
}
