import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * GetGlitschi
 * by D. Reichert
 * Version 1.0 on 27/02/2010
 * 
 * All graphics by D. Reichert
 */

public class Schnee  extends Objekte
{
    // Standardkonstruktor fuer den Schnee.
    public Schnee() {
        // nix zu tun hier :)
    }

    // Bestimmter Konstruktor um die Groessen zu variieren.   
    public Schnee(int scaling) {
        getImage().scale(scaling, scaling);
    } 

    // Beim Hinzufuegen wird ueberprueft, ob das Iglu in Kontakt
    // mit diesem Objekt steht. Wenn ja, so wird das Objekt an eine sichere
    // Iglu-freie Zone gesetzt.
    public void addedToWorld(World Level) {
        int x = Greenfoot.getRandomNumber(600);
        int y = Greenfoot.getRandomNumber(300);
        
        Actor iglu = getOneIntersectingObject(Iglu.class);
        
        if (iglu != null) {
            setLocation(x, y);
        }  
    }
}
