import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * GetGlitschi
 * by D. Reichert
 * Version 1.0 on 27/02/2010
 * 
 * All graphics by D. Reichert
 */

public class Wasser  extends Objekte
{
    // Beim Hinzufuegen wird ueberprueft, ob das Iglu in Kontakt
    // mit diesem Objekt steht. Wenn ja, so wird das Objekt an eine sichere
    // Iglu-freie Zone gesetzt.
    public void addedToWorld(World Level) {
        int x = Greenfoot.getRandomNumber(600);
        int y = Greenfoot.getRandomNumber(300);
        
        Actor iglu = getOneIntersectingObject(Iglu.class);
        
        if (iglu != null) {
            setLocation(x, y);
        }  
    }
    
    // Das Wasser fungiert als Teleporter fuer saemtliche Gegenstaende, die ins Wasser geraten
    public void teleportWasser() {
        setLocation(Greenfoot.getRandomNumber(600), Greenfoot.getRandomNumber(400) + 150);
    }
    
    // Gibt die XPos des Wassers aus
    public int wasserX() {
        return getX();
    }
    
    // Gibt die YPos des Wassers aus
    public int wasserY() {
        return getY();
    }
}
