import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * GetGlitschi
 * by D. Reichert
 * Version 1.0 on 27/02/2010
 * 
 * All graphics by D. Reichert
 */

public class Fisch  extends Objekte
{
    private static final int FISCH_SCALE = 50;

    GreenfootImage fisch1 = new GreenfootImage("Fisch01.png");
    GreenfootImage fisch2 = new GreenfootImage("Fisch02.png");
       
    private int fi = Greenfoot.getRandomNumber(2) + 1;
    
    // Standardkonstruktor vom Fisch
    public Fisch() {
        if (Greenfoot.getRandomNumber(100) <= 45 && fi != 1) {
            setImage(fisch1);
            fi = 1;
        }
        if (Greenfoot.getRandomNumber(100) > 45 && Greenfoot.getRandomNumber(100) <= 90 && fi != 2) {
            setImage(fisch2);
            fi = 2;
        }
        getImage().scale(FISCH_SCALE, FISCH_SCALE - 10);
        setRotation(Greenfoot.getRandomNumber(90));
    }

    // Beim Hinzufuegen wird ueberprueft, ob das Iglu in Kontakt
    // mit diesem Objekt steht. Wenn ja, so wird das Objekt an eine sichere
    // Iglu-freie Zone gesetzt.    
    /**
     * funktioniert noch nicht so ganz ... Abfrage zu spaet. 
     * moegl. Loesung: Iglu durch das Oel erstellen lassen!
     * moegl. Loesung: genauere Koordinatenabfragen bei Schnee/Oel/Barriere einbauen!
     */
    public void addedToWorld(World Level) {
        int x = Greenfoot.getRandomNumber(600);
        int y = Greenfoot.getRandomNumber(300);
        
        Actor iglu = getOneIntersectingObject(Iglu.class);
        
        if (iglu != null) {
            setLocation(x, y);
        }  
    }
    
    // Methode zum entfernen des Fisches
    public void remove() {
        getWorld().removeObject(this);
    }
}
